新闻  |   论坛  |   博客  |   在线研讨会
“make menuconfig requires the ncurses libraries,libncurses5-dev 已经是最新版”错误的解决
电子禅石 | 2020-05-15 18:16:11    阅读:244   发布文章
编译内核的时候,使用make menuconfig,出错,不能启动界面。
提示如下:

make zImage
HOSTCC  scripts/basic/fixdep
  HOSTCC  scripts/basic/bin2c
  HOSTCC  scripts/kconfig/mconf.o
  HOSTCC  scripts/kconfig/zconf.tab.o
 *** Unable to find the ncurses libraries or the
 *** required header files.
 *** 'make menuconfig' requires the ncurses libraries.
 ***
 *** Install ncurses (ncurses-devel) and try again.
 ***
scripts/kconfig/Makefile:187: recipe for target scripts/kconfig/dochecklxdialog' failed1234567891011121314
大部分有做过linux的都大概知道是缺少ncurses库。
按照网上一些教程(大部分的搜索结果),应该安装libncurses-dev,但是我已经安装过了,提示如下:
sudo apt-get install libncurses-dev
正在读取软件包列表... 完成
正在分析软件包的依赖关系树      
正在读取状态信息... 完成      
注意,选中 'libncurses5-dev' 而非 'libncurses-dev'
libncurses5-dev 已经是最新版 (6.0+20160213-1ubuntu1)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 478 个软件包未被升级。
123456789
之后错误一直存在,后来bing和谷歌捣腾了一会才在一个论坛上发现解决方法,由于某些库可能没安装好,或者被auto remove掉了,所以:
————————————————
sudo apt-get install lib32ncurses5 lib32ncurses5-dev lib32ncursesw5 lib32ncursesw5-dev lib32tinfo-dev lib32tinfo5 libcunit1-ncurses libcunit1-ncurses-dev libncurses5 libncurses5-dbg libncurses5-dev libncursesw5 libncursesw5-dbg libncursesw5-dev
原文链接:https://blog.csdn.net/mynameislinduan/article/details/82251222


*博客内容为网友个人发布,仅代表博主个人观点,如有侵权请联系工作人员删除。

参与讨论
登录后参与讨论
电子禅石  2020-06-24 13:41:03 

这个非常有用。赞一个。

属于自己的技术积累分享,成为嵌入式系统研发高手。
推荐文章
最近访客